package main

import (
	"log"
	"os"

	"net/http"
	_ "net/http/pprof"

	"github.com/joho/godotenv"
	"github.com/urfave/cli/v2"
)

func init() {
	godotenv.Load(".env")
}

var commands = make([]*cli.Command, 0)

func main() {
	go func() {
		log.Println(http.ListenAndServe(":60089", nil))
	}()

	s := &cli.App{
		Name:     "platiparser",
		Commands: commands,
		Before: func(c *cli.Context) error {
			godotenv.Load(".env")
			return nil
		},
	}
	err := s.Run(os.Args)
	if err != nil {
		log.Fatal(err)
	}
}
